require "nvchad.options"

-- add yours here!

-- local o = vim.o
-- o.cursorlineopt ='both' -- to enable cursorline!

local enable_providers = {
      "python3_provider",
    }

    for _, plugin in pairs(enable_providers) do
      vim.g["loaded_" .. plugin] = nil
      vim.cmd("runtime " .. plugin)
    end

-- disable wrap
vim.o.wrap = false

-- amount of tabs
vim.opt.tabstop = 4
vim.opt.softtabstop = 4
vim.opt.shiftwidth = 4

-- disable auto comment
vim.opt_local.formatoptions:remove("r")

vim.g.lua_snippets_path = "~/.config/nvim/lua/lua_snippets"

-- enable blamer
vim.g.blamer_enabled = true

-- Hyprlang LSP
vim.api.nvim_create_autocmd({'BufEnter', 'BufWinEnter'}, {
    pattern = {"*.hl", "hypr*.conf"},
    callback = function()
        vim.lsp.start {
            name = "hyprlang",
            cmd = {"hyprls"},
            root_dir = vim.fn.getcwd(),
        }
    end
})

-- Recognize .script files as Pascal
vim.cmd [[
  autocmd BufNewFile,BufRead *.script set filetype=pascal
]]
